-----------------------------------------------------------------------
--                              Mast                                 --
--     Modelling and Analysis Suite for Real-Time Applications       --
--                                                                   --
--                       Copyright (C) 2001-2014                     --
--                 Universidad de Cantabria, SPAIN                   --
--                                                                   --
-- Authors: Michael Gonzalez       mgh@unican.es                     --
--          Jose Javier Gutierrez  gutierjj@unican.es                --
--          Jose Carlos Palencia   palencij@unican.es                --
--          Jose Maria Drake       drakej@unican.es                  --
--                                                                   --
-- This program is free software; you can redistribute it and/or     --
-- modify it under the terms of the GNU General Public               --
-- License as published by the Free Software Foundation; either      --
-- version 2 of the License, or (at your option) any later version.  --
--                                                                   --
-- This program is distributed in the hope that it will be useful,   --
-- but WITHOUT ANY WARRANTY; without even the implied warranty of    --
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU --
-- General Public License for more details.                          --
--                                                                   --
-- You should have received a copy of the GNU General Public         --
-- License along with this program; if not, write to the             --
-- Free Software Foundation, Inc., 59 Temple Place - Suite 330,      --
-- Boston, MA 02111-1307, USA.                                       --
--                                                                   --
-----------------------------------------------------------------------
with Gtkada.Types;  use Gtkada.Types;
with Interfaces.C;
with Interfaces.C.Strings;

package Mast_Analysis_Pixmaps is
   
   function "+" (S : String) return Interfaces.C.Strings.chars_ptr
                renames Interfaces.C.Strings.New_String;
   
   Mast_Logo_Xpm : constant Gtkada.Types.Chars_Ptr_Array:=
      "60 120 254 2"
     +"       c None"
     +".      c #FFFFFF"
     +"+      c #ADADAD"
     +"@      c #B5B5B5"
     +"#      c #BDBDBD"
     +"$      c #C6C6C6"
     +"%      c #BDB5B5"
     +"&      c #ADA5A5"
     +"*      c #B5ADAD"
     +"=      c #C6BDBD"
     +"-      c #A59C9C"
     +";      c #C6BDB5"
     +">      c #A59C94"
     +"      c #C6B5A5"
     +"'      c #AD9C8C"
     +")      c #A59484"
     +"!      c #8C7B6B"
     +"~      c #B59C84"
     +"{      c #BDB5AD"
     +"]      c #B5ADA5"
     +"^      c #9C948C"
     +"/      c #BDAD9C"
     +"(      c #9C8C7B"
     +"_      c #ADA59C"
     +":      c #C6A57B"
     +"<      c #BD9C73"
     +"[      c #AD9C84"
     +"}      c #C6AD8C"
     +"|      c #BDA584"
     +"1      c #B59C7B"
     +"2      c #9C8463"
     +"3      c #CEA56B"
     +"4      c #C69C63"
     +"5      c #CE9C5A"
     +"6      c #A5947B"
     +"7      c #CEAD7B"
     +"8      c #C6A573"
     +"9      c #AD8C5A"
     +"0      c #A58452"
     +"a      c #9C7B4A"
     +"b      c #CE9C52"
     +"c      c #D69C42"
     +"d      c #BDAD94"
     +"e      c #B5A58C"
     +"f      c #9C8C73"
     +"g      c #CEB58C"
     +"h      c #B59C73"
     +"i      c #AD946B"
     +"j      c #A58C63"
     +"k      c #D6AD6B"
     +"l      c #CEA563"
     +"m      c #C69C5A"
     +"n      c #DEAD5A"
     +"o      c #AD8442"
     +"p      c #CE9C4A"
     +"q      c #A57B39"
     +"r      c #DEA54A"
     +"s      c #E7A539"
     +"t      c #DE9C31"
     +"u      c #EF9C18"
     +"v      c #EF9C10"
     +"w      c #C6BDAD"
     +"x      c #A59C8C"
     +"y      c #BDA57B"
     +"z      c #9C845A"
     +"A      c #D6B57B"
     +"B      c #C6A56B"
     +"C      c #AD8C52"
     +"D      c #A5844A"
     +"E      c #CEA55A"
     +"F      c #9C7B42"
     +"G      c #DEAD52"
     +"H      c #AD8439"
     +"I      c #A57B31"
     +"J      c #DEA542"
     +"K      c #E7A531"
     +"L      c #AD7B21"
     +"M      c #E7A529"
     +"N      c #EFA518"
     +"O      c #EF9C08"
     +"P      c #B57300"
     +"Q      c #BD7B00"
     +"R      c #EF9C00"
     +"S      c #BDB5A5"
     +"T      c #9C9484"
     +"U      c #CEBD9C"
     +"V      c #BDAD8C"
     +"W      c #B5A584"
     +"X      c #AD9C7B"
     +"Y      c #A59473"
     +"Z      c #9C8C6B"
     +"`      c #948463"
     +" .     c #CEB584"
     +"..     c #C6AD7B"
     +"+.     c #BDA573"
     +"@.     c #B59C6B"
     +"#.     c #AD9463"
     +"$.     c #A58C5A"
     +"%.     c #D6B573"
     +"&.     c #AD8C4A"
     +"*.     c #D6AD5A"
     +"=.     c #A58442"
     +"-.     c #9C7B39"
     +";.     c #DEAD4A"
     +">.     c #A57B29"
     +".     c #E7A521"
     +"'.     c #AD7B18"
     +").     c #EFA510"
     +"!.     c #AD7300"
     +"~.     c #B57B00"
     +"{.     c #B5AD9C"
     +"].     c #ADA594"
     +"^.     c #AD945A"
     +"/.     c #D6B56B"
     +"(.     c #AD8C42"
     +"_.     c #A58439"
     +":.     c #9C7B31"
     +"<.     c #DEAD42"
     +"[.     c #DEAD39"
     +"}.     c #A57B21"
     +"|.     c #A57B18"
     +"1.     c #E7A518"
     +"2.     c #AD7B10"
     +"3.     c #AD7B08"
     +"4.     c #A57300"
     +"5.     c #CEBD94"
     +"6.     c #B5A57B"
     +"7.     c #AD9C73"
     +"8.     c #A5946B"
     +"9.     c #9C8C63"
     +"0.     c #94845A"
     +"a.     c #9C844A"
     +"b.     c #AD9452"
     +"c.     c #A58431"
     +"d.     c #A57B10"
     +"e.     c #AD7B00"
     +"f.     c #C6BDA5"
     +"g.     c #A59C84"
     +"h.     c #AD9C6B"
     +"i.     c #A59463"
     +"j.     c #8C6B10"
     +"k.     c #A57B08"
     +"l.     c #BDB59C"
     +"m.     c #B5AD94"
     +"n.     c #ADA58C"
     +"o.     c #948C73"
     +"p.     c #9C8C5A"
     +"q.     c #947B29"
     +"r.     c #B5AD8C"
     +"s.     c #9C9473"
     +"t.     c #6B6310"
     +"u.     c #BDBDB5"
     +"v.     c #ADADA5"
     +"w.     c #B5B5AD"
     +"x.     c #C6C6BD"
     +"y.     c #94948C"
     +"z.     c #A5A59C"
     +"A.     c #BDBDAD"
     +"B.     c #ADAD9C"
     +"C.     c #9C9C8C"
     +"D.     c #A5A594"
     +"E.     c #A5A58C"
     +"F.     c #94946B"
     +"G.     c #9C9C6B"
     +"H.     c #425A21"
     +"I.     c #73944A"
     +"J.     c #6B944A"
     +"K.     c #5A8442"
     +"L.     c #63944A"
     +"M.     c #5A944A"
     +"N.     c #528C42"
     +"O.     c #183910"
     +"P.     c #4A8442"
     +"Q.     c #B5BDB5"
     +"R.     c #A5ADA5"
     +"S.     c #ADB5AD"
     +"T.     c #9CA59C"
     +"U.     c #4A9452"
     +"V.     c #428C4A"
     +"W.     c #52945A"
     +"X.     c #002908"
     +"Y.     c #39844A"
     +"Z.     c #399452"
     +"`.     c #318C4A"
     +" +     c #319452"
     +".+     c #003110"
     +"++     c #002910"
     +"@+     c #94A59C"
     +"#+     c #A5B5AD"
     +"$+     c #8C9C94"
     +"%+     c #298C5A"
     +"&+     c #003118"
     +"*+     c #004221"
     +"=+     c #9CADA5"
     +"-+     c #7B9C8C"
     +";+     c #087342"
     +">+     c #005231"
     +"+     c #739C8C"
     +"'+     c #52947B"
     +")+     c #8CA59C"
     +"!+     c #005A39"
     +"~+     c #008C5A"
     +"{+     c #006342"
     +"]+     c #94ADA5"
     +"^+     c #7B948C"
     +"/+     c #639484"
     +"(+     c #42947B"
     +"_+     c #006B4A"
     +":+     c #007352"
     +"<+     c #008C63"
     +"[+     c #5A9484"
     +"}+     c #189473"
     +"|+     c #007B5A"
     +"1+     c #00946B"
     +"2+     c #009C73"
     +"3+     c #8CADA5"
     +"4+     c #7B9C94"
     +"5+     c #73948C"
     +"6+     c #63A594"
     +"7+     c #5A9C8C"
     +"8+     c #529484"
     +"9+     c #31947B"
     +"0+     c #088C6B"
     +"a+     c #008463"
     +"b+     c #008C6B"
     +"c+     c #00A57B"
     +"d+     c #00AD84"
     +"e+     c #529C8C"
     +"f+     c #4A9484"
     +"g+     c #29947B"
     +"h+     c #218C73"
     +"i+     c #21947B"
     +"j+     c #188C73"
     +"k+     c #009473"
     +"l+     c #009C7B"
     +"m+     c #739C94"
     +"n+     c #6B948C"
     +"o+     c #4A9C8C"
     +"p+     c #429484"
     +"q+     c #108C73"
     +"r+     c #088C73"
     +"s+     c #00846B"
     +"t+     c #00A584"
     +"u+     c #399484"
     +"v+     c #298C7B"
     +"w+     c #008C73"
     +"x+     c #319484"
     +"y+     c #218C7B"
     +"z+     c #B5BDBD"
     +"A+     c #A5ADAD"
     +"B+     c #ADB5B5"
     +"C+     c #BDC6C6"
     +"D+     c #949C9C"
     +"E+     c #9CA5A5"
     +"                                        k s                                                                             "
     +"                                        ;.[.                                                                            "
     +"                                        J ;.                                                                            "
     +"                        = ;           ; M J ;         g A                                                               "
     +"                        g O %.#   = *.O R R O ;.w   *.).%.                                                              "
     +"                        ; ;.R [.; ;.R R R R R R M <.,.,                                                                 "
     +"                            , [.v R R R R R R R R ,.;                                                                   "
     +"                              = ,.R R R R R R R R 1.;                                                                   "
     +"                              ; O R R R R R R R R R d                                                                   "
     +"                              w O R R R R R R R R R 5.                                                                  "
     +"                              # ,.R R R R R R R R v w                                                                   "
     +"                                <.R R R R R R R R O /.=                                                                 "
     +"                            = ;.,.t R R R R R R 1. .t ,. .$                                                             "
     +"                          f.,.,.w x.G O R R R J w   x.k 1.f.                                                            "
     +"                           .[.;        .O 7 w           ; =                                                             "
     +"                          C+=          .1.= # #                                                                         "
     +"                                      /.M   [ {.                                                                        "
     +"                                      %.r   ~ }                                                                         "
     +"                                      # =   ..'                                                                         "
     +"                                            _ {.                                                                        "
     +"                                                                                                                        "
     +"                                                                                                                        "
     +"                                                                                                                        "
     +"                                                                                                                        "
     +"                                                                                                                        "
     +"                                                                                                                        "
     +"                                              l.z.                                                                      "
     +"                                              : l                                                                       "
     +"                                              n.B                                                                       "
     +"                                              d 5                                                                       "
     +"                                              {.b #                                                                     "
     +"                                              ] p #                                                                     "
     +"                                              { t #                                                                     "
     +"                                              % V #                                                                     "
     +"                                                                                                                        "
     +"                                                                                                                        "
     +"                                                                                                                        "
     +"                                                                                                                        "
     +"                                                                                                                        "
     +"                                                  =                                                                     "
     +"                                                # +.#                                                                   "
     +"                                                # m %                                                                   "
     +"                                                # 5 w.                                                                  "
     +"                                                  h ,                                                                   "
     +"                                                # < B.                                                                  "
     +"                                                @ h {.                                                                  "
     +"                                                + 1 }                                                                   "
     +"                                                ].w.#                                                                   "
     +"                                              # ) #                                                                     "
     +"                                              @ Z #                                                                     "
     +"                                              * `                                                                       "
     +"                                              D.j                                                                       "
     +"                                              ) 0                                                                       "
     +"                                              s.j   u.@                                                                 "
     +"                                              $.!   7 x                                                                 "
     +"                      = h h./                 a.Y   ' |                                                                 "
     +"                      u.&.{.u.              # :.7.  d W                                                                 "
     +"                      S 6.                  @ |.g.  {.8                                                                 "
     +"                      e #.l.u.#         = # * !.y.  ] 4 #                                                               "
     +"                      6.>.>.>._.^.@.W S m.m.B.4.].  { p #                                                               "
     +"                      h m.W #.&.c.>.>.}.>.{.x e.{.  @ @.=                                                               "
     +"                    # @.#     C+# { m.6.=.{ 6 e.]     x.                                                                "
     +"                    u.=.S               W u.` e.+                                                                       "
     +"                    # W h u.            $ # a.4.%                                                                       "
     +"                  x.#   # =               # >.2.#                                                                       "
     +"                    6._.h A.    { l.u.    @ e.}.#                                                                       "
     +"                    h.6.u.=   1 >.>._.S   & e.q #                                                                       "
     +"                  {.@.      7.>.b.m.#.9   > ~.F #     # ] #                                                             "
     +"                  W h     h >.#.#   # 7.= T ~._.#     x.4 @                                                             "
     +"                  S _.h ^.>.b.#     = X   Z ~.D       # < w.                                                            "
     +"                    {._.>.h.#       r.W   z ~.z         B ,                                                             "
     +"                      # u.      S h _.S   F ~.2         B z.                                                            "
     +"                                S r.#.S # }.~.$.        ~ d                                                             "
     +"                        = A.m.h D >.q # v.e.~.i.        y V                                                             "
     +"                # S r.#.=.>.>.c.^.@.i   ^ e.~.f         S &                                                             "
     +"                l.c.>.&.@.m.6.e   # {   f ~.~.(                                                                         "
     +"                  S C r.    W /         9.~.e.7.                                                                        "
     +"                    # W @.{ h A.      # a.~.e.X                                                                         "
     +"                        S i &.{   #   # >.e.~.^                                                                         "
     +"                          = m.#.r.W # @ 3.e.~.^                                                                         "
     +"              u.#             u.9 C   _ e.e.e.n.                                                                        "
     +"              r.A.              u.e   ^ e.e.e.m.          z.{.                                                          "
     +"              @.=.h W l.u.=     u.{   T ~.~.!.z.          e ..                                                          "
     +"              #.>.c.>.>.>._.C h #.S   Z ~.e.e.-           } [                                                           "
     +"              # h #.{./ X ^.D >._.#   z e.e.e.]           _ B                                                           "
     +"                  d #.r.      A.1 x.# -.~.e.3.w.          ] 4 #                                                         "
     +"                    # 6.h.{   # u.  # '.e.e.3.w.          S b #                                                         "
     +"                        / ^.d       + e.e.~.d.B+          @ c #                                                         "
     +"                  x.u./ h =.>.h.#   D.e.e.e.'.#           # % #                                                         "
     +"            u.d 7.&.>.q.I b.7.d #   ^ ~.e.e.L #                                                                         "
     +"          { I >.c.9 6.l.#           s.~.e.~.I #                                                                         "
     +"          m.=.&.#.W m.S u.= # l.=   2 ~.e.e.F #                                                                         "
     +"          d u.C+{ m.e h ^.^.=.h   # a.~.e.~._.#                                                                         "
     +"          # =           # u.h W   # I e.e.~.=.x.                                                                        "
     +"                            u.{   @ 3.e.e.~.0                 @ #                                                       "
     +"                                  & e.e.e.~.0.              # < %                                                       "
     +"                                  > e.e.!.e.$.                +.w.                                                      "
     +"                                  T ~.e.e.~.#.                3 S                                                       "
     +"                                  Z ~.e.!.~.8.      # # #     [ _                                                       "
     +"                                = a.~.e.e.~.o.    B+u+q+g+f+m+G.E.Q.# $                                                 "
     +"                                Q.}.~.e.!.~.(   $+q+1+b+1+1+1+I.L.r+j+9+e+$+R.@ #                                       "
     +"                                * e.e.e.e.!.F.x+1+b+b+b+b+b+b+ +Z.b+b+b+1+b+b+r+g+7+@+@ C+                              "
     +"                                D.!.e.e.e.!.K.k+b+b+b+b+b+b+b+b+b+b+b+b+b+b+b+b+b+1+b+0+9+4++ $                         "
     +"                                ^ ~.e.!.e.4.N.b+b+b+b+b+l+c+l+l+k+b+b+b+b+b+b+b+b+b+b+b+1+b+b+g+$+#                     "
     +"                                s.~.e.e.e.!.P.k+b+b+b+b+c+d+d+d+d+d+c+l+w+k+k+b+b+b+b+b+b+b+b+1+1+j+m+S.#               "
     +"                                p.~.!.e.e.e.V.b+b+b+b+b+b+b+w+k+l+k+l+c+d+d+d+d+t+c+l+l+k+k+b+b+b+b+1+b+u+@             "
     +"                            # m+q.P e.~.e.P `.k+b+b+b+b+b+b+b+b+b+b+b+w+k+l+l+t+d+d+d+d+t+c+t+l+l+k+b+b+1+y+@           "
     +"                          T.y+<+k.e.4.4.j.t.;+w+1+b+b+b+b+b+b+b+b+b+b+b+b+b+b+b+b+b+b+k+l+c+c+t+c+t+t+t+b+1+^+          "
     +"                      @ /+b+1+b+P.H.O.&+&+&+.+>+s+k+b+b+b+b+b+b+~+~+b+b+b+b+b+b+b+b+b+b+w+b+k+l+t+d+d+d+k+b+i+          "
     +"                    R.j+1+b+b+b+w+s+_+*+.+++&+.+*+|+k+b+b+b+b+1+I.L.b+b+b+b+b+b+b+b+b+b+b+b+b+b+k+d+d+d+b+b+}+          "
     +"                z+5+b+1+b+b+b+b+b+b+k+b+:+>+&+++.+&+_+b+k+b+b+b+L.L.b+b+b+b+b+b+b+b+b+b+b+b+b+b+k+d+t+d+k+1+(+          "
     +"              =+j+1+b+b+b+b+b+b+b+b+b+b+k+k+a+{+*+.+++>+a+k+b+b+M.L.k+b+b+b+b+b+b+b+b+b+b+b+b+l+t+l+c+l+b+b+D+          "
     +"          @ p+b+b+b+b+b+w+w+1+b+b+b+b+b+b+b+1+k+b+|+>+.+&+:+k+b+U.J.b+b+b+b+b+b+b+b+b+b+b+k+c+d+d+d+l+b+1+/+            "
     +"        )+r+1+b+b+b+b+k+d+d+t+l+l+l+k+k+b+w+b+b+b+1+b+a+{+*+!+a+W.J.b+b+b+b+b+b+b+b+b+k+l+t+c+l+l+k+b+1+g+#             "
     +"    @ u+b+1+b+b+b+b+k+d+d+d+d+d+d+d+d+d+l+l+c+l+l+k+w+b+w+b+_+!+Y.I.b+b+b+b+b+b+b+k+l+t+d+d+d+k+b+b+1+8+#               "
     +"# )+q+1+1+b+b+b+b+b+b+b+k+l+l+l+t+d+d+d+d+l+d+d+d+d+d+c+t+k+l+k+%+W.b+w+b+b+k+l+l+l+d+d+d+c+w+b+1+b+m+#                 "
     +"E+i+0+w+b+b+1+1+1+b+1+b+b+b+b+b+b+b+w+k+k+k+t+t+d+d+d+d+d+d+c+t+d+d+d+t+c+d+d+d+d+d+l+k+k+b+1+b+v+R.                    "
     +"# # # S.E+)+,+e+g+j+r+b+b+b+1+1+1+b+1+b+b+b+b+b+w+k+k+l+l+c+d+l+c+d+d+d+d+t+t+l+k+k+b+b+1+b+v+T.C+                      "
     +"                $ # Q.A+E+)+m+7+p+g+h+r+0+w+b+b+b+b+b+1+1+b+b+k+w+k+k+k+w+1+b+b+b+1+b+q+[+=+#                           "
     +"                                  $ # # @ #+R.3+)+)+6+^+n+o+p+'+9+g+y+j+j+q+r+j+9+7+@+#                                 ";

   
     Mast_Name_Xpm : constant Gtkada.Types.Chars_Ptr_Array:=
   
      "133 31 3 1"
     +"       c None"
     +".      c #B8707C"
     +"+      c #49066D"
     +".++++++++++..              ++++++++++.....               ++ .                   +++++++++++++ +++ .    ++++++++++++++++++++++++++++.."
     +"  ++++++++++.              +++++++++...                  ++..                  +++++........+++++..    ++++......+++++++......+++++.."
     +"  + ++++++++..            ++ +++++++..                  ++++.                 +++++...       ++++..    +++...    +++++++..      +++.."
     +"  + +++++++++.            ++.+++++++..                  ++++..                ++++...         +++..    ++...     +++++++..      +++.."
     +"  + .++++++++..           + .+++++++..                 ++++++.               +++++..           ++..    + ..      +++++++..       ++.."
     +"  + .++++++++..          ++ .+++++++..                 ++++++..              ++++++.           ++..    + .       +++++++..       ++.."
     +"  + . ++++++++.          + ..+++++++..                ++++++++.              ++++++..           +..    + .       +++++++..        +.."
     +"  + . ++++++++..        ++ . +++++++..                ++++++++..             +++++++.           + .      .       +++++++..          ."
     +"  + . +++++++++.        ++.. +++++++..               +++++++++..             +++++++++          + .              +++++++..           "
     +"  + .  ++++++++..      ++ .. +++++++..               ++++++++++.             +++++++++++          .              +++++++..           "
     +"  + .  +++++++++.      ++..  +++++++..               + .+++++++..             ++++++++++++                       +++++++..           "
     +"  + .   ++++++++..     + ..  +++++++..              ++ .++++++++.             +++++++++++++.                     +++++++..           "
     +"  + .   ++++++++..    ++ .   +++++++..              + .. +++++++..             ++++++++++++++                    +++++++..           "
     +"  + .    ++++++++.    ++..   +++++++..             ++ .  ++++++++.              +++++++++++++++                  +++++++..           "
     +"  + .    ++++++++..  ++ ..   +++++++..             + ..   +++++++..              +++++++++++++++.                +++++++..           "
     +"  + .     ++++++++.  ++..    +++++++..            ++ .    ++++++++.                ++++++++++++++.               +++++++..           "
     +"  + .     ++++++++.. + ..    +++++++..            ++..    ++++++++..                ++++++++++++++.              +++++++..           "
     +"  + .      ++++++++.++ .     +++++++..           ++ ..     +++++++..                  ++++++++++++..             +++++++..           "
     +"  + .      ++++++++.+ ..     +++++++..           ++..      ++++++++.                    +++++++++++.             +++++++..           "
     +"  + .      ++++++++++ .      +++++++..          +++++++++++++++++++..        +            +++++++++..            +++++++..           "
     +"  + .       +++++++++..      +++++++..          ++++++++++++++++++++.        + .            +++++++..            +++++++..           "
     +"  + .       ++++++++...      +++++++..         ++ ..........++++++++..       ++.             ++++++..            +++++++..           "
     +"  + .        +++++++..       +++++++..         ++..          ++++++++.       ++..            ++++++..            +++++++..           "
     +"  + .        ++++++...       +++++++..         + ..          ++++++++..      ++..             +++++..            +++++++..           "
     +"  + .         +++++..        +++++++..        ++ .            ++++++++.      +++.             ++++...            +++++++..           "
     +"  + .         +++++..        +++++++..        ++..            ++++++++..     ++++.            ++++..             +++++++..           "
     +"  ++.          +++...        +++++++..       +++..            +++++++++.     +++++.          ++++...             +++++++..           "
     +"  ++..         +++..        ++++++++..      ++++..             ++++++++..    ++++++.         +++...              ++++++++.           "
     +" ++++.         ++...        +++++++++.     ++++++.            ++++++++++.    ++++++++++++++++++...              +++++++++..          "
     +"++++++++        +..     ++++++++++++++++ +++++++++++       +++++++++++++++   + ......++++++++....            ++++++++++++++++        "
     +"..........        .       ................ ...........       ...............   .       ........                ................      ";

     
     


end Mast_Analysis_Pixmaps;
